#
# spec file for package python3-nltk
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-nltk
Version:        3.2.1
Release:        1.7
Url:            http://nltk.org/
Summary:        Natural Language Toolkit
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/n/nltk/nltk-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-PyYAML
BuildRequires:  python3-xml
Requires:       python3-PyYAML
Requires:       python3-numpy
Requires:       python3-base
Requires:       python3-xml
BuildArch:      noarch

%description
NLTK -- the Natural Language Toolkit -- is a suite of open source
Python modules, data sets and tutorials supporting research and
development in Natural Language Processing.

%prep
%setup -q -n nltk-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root="%{buildroot}"

# Tests don't work without internet
# %%check
# pushd nltk/test
# python3 runtests.py
# popd

%files
%defattr(-, root, root)
%doc LICENSE.txt
%{python3_sitelib}/*

%changelog
* Mon Oct 17 2016 toddrme2178@gmail.com
- Initial python3 version
* Fri Oct 14 2016 toddrme2178@gmail.com
- Update to version 3.2.1
  + No changelog available
* Thu May 21 2015 toddrme2178@gmail.com
- Remove upstreamed nltk-2.0.4-dont-use-python-distribute.patch
- Update to version 3.0.2
  + No changelog available
* Sun Dec  8 2013 p.drouand@gmail.com
- Update to version 2.0.4
  + No changelog available
- Add nltk-2.0.4-dont-use-python-distribute.patch ; force use of
  python-setuptools instead of python-distribute
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Sep 23 2011 saschpe@suse.de
- Update to version 2.0.1rc1
* Mon Feb  8 2010 oddrationale@gmail.com
- fixed copyright and license statements
- removed PyYAML, and added dependency to installers and download
  instructions
- updated to LogicParser, DRT (Dan Garrette)
- WordNet similarity metrics return None instead of -1 when
  they fail to find a path (Steve Bethard)
- shortest_path_distance uses instance hypernyms (Jordan
  Boyd-Graber)
- clean_html improved (Bjorn Maeland)
- batch_parse, batch_interpret and batch_evaluate functions allow
  grammar or grammar filename as argument
- more Portuguese examples (portuguese_en.doctest, examples/pt.py)
* Thu Dec 10 2009 oddrationale@gmail.com
- added python-nltk-remove-yaml.patch to pevent conflict with
  python-yaml
- added Requires: python-yaml
* Wed Dec  9 2009 oddrationale@gmail.com  
- Initial Release (Version 2.0b7): Sun Feb  7 18:50:18 CST 2010
